Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net
Class MimeMessageBuilder

    java.lang.Object
      org.apache.logging.log4j.core.net.MimeMessageBuilder

    public class MimeMessageBuilder

extends Object

Helper class for SmtpManager.

Constructor Summary
`MimeMessageBuilder(Session session)`

Method Summary
`MimeMessage` | `getMimeMessage()`
`MimeMessageBuilder` | `setFrom(String from)`
`MimeMessageBuilder` | `setRecipients(Message.RecipientType recipientType, String recipients)`
`MimeMessageBuilder` | `setReplyTo(String replyTo)`
`MimeMessageBuilder` | `setSubject(String subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMessageBuilder

    public MimeMessageBuilder(Session session)

Method Detail

### setFrom

    public MimeMessageBuilder setFrom(String from)
                               throws MessagingException

  Throws:
    `MessagingException`

### setReplyTo

    public MimeMessageBuilder setReplyTo(String replyTo)
                                  throws MessagingException

  Throws:
    `MessagingException`

### setRecipients

    public MimeMessageBuilder setRecipients(Message.RecipientType recipientType,
                                            String recipients)
                                     throws MessagingException

  Throws:
    `MessagingException`

### setSubject

    public MimeMessageBuilder setSubject(String subject)
                                  throws MessagingException

  Throws:
    `MessagingException`

### getMimeMessage

    public MimeMessage getMimeMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.